declare type InterpolatorDictionary = {
    [token: string]: string | number | boolean | Date;
};
declare type InterpolatorMiddleware = (value: string) => string;
export declare class Interpolator {
    private readonly _checkSubstitution;
    private readonly _replaceSubstitution;
    private _middleware;
    interpolate(value: string, data: InterpolatorDictionary): string;
    use(token: string, middleware: InterpolatorMiddleware): void;
    private match;
    private log;
}
export {};
